package cz.muni.fi.user;

import java.util.Date;

/**
 * Class that represents Registration Period.
 *
 * @author Jiří Krejčí
 */
public class RegistrationPeriod implements java.io.Serializable {

    private int ID;
    private Date from;
    private Date to;
    private String password;
    private String role;

    public RegistrationPeriod() {
    }

    public int getID() {
        return ID;
    }

    public void setID(int ID) {
        this.ID = ID;
    }

    public Date getFrom() {
        return from;
    }

    public void setFrom(Date from) {
        this.from = from;
    }

    public Date getTo() {
        return to;
    }

    public void setTo(Date to) {
        this.to = to;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    @Override
    public String toString() {

        return ID + from.toString() + to.toString() + password;

    }
}
