package cz.muni.fi.user;

/**
 * Cass that represents SelectOption component with key and value.
 * 
 * @author Jiří Krejčí
 */
public class SelectOption implements java.io.Serializable {

    private String key;
    private String value;

    public SelectOption(String key, String value) {
        this.key = key;
        this.value = value;
    }

    protected String getKey() {
        if (key == null) {
            return "";
        }
        return key;
    }

    protected void setKey(String key) {
        this.key = key;
    }

    protected String getValue() {
        return value;
    }

    protected void setValue(String value) {
        this.value = value;
    }
}
