package cz.muni.fi.processor;

import junit.framework.TestCase;

/**
 *
 * @author Jiří Krejčí
 */
public class XSDSchemaProcessorTest extends TestCase {

    public XSDSchemaProcessorTest(String testName) {
        super(testName);
    }

    /**
     * Test of validate method, of class XSDSchemaProcessor.
     */
    public void testValidate() {
        System.out.println("*SchemaProcessor: testValidate");
        XSDSchemaProcessor instance = new XSDSchemaProcessor("<?xml version=\"1.0\"?>"
                + "<note>"
                + "  <to>Tove</to>"
                + "  <from>Jani</from>"
                + "  <heading>Reminder</heading>"
                + "  <body>Don't forget me this weekend!</body>"
                + "</note>", "<?xml version=\"1.0\"?>"
                + "<xsd:schema xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" elementFormDefault=\"qualified\">"
                + ""
                + "<xsd:element name=\"note\">"
                + "  <xsd:complexType>"
                + "    <xsd:sequence>"
                + "      <xsd:element name=\"to\" type=\"xsd:string\"/>"
                + "      <xsd:element name=\"from\" type=\"xsd:string\"/>"
                + "      <xsd:element name=\"heading\" type=\"xsd:string\"/>"
                + "      <xsd:element name=\"body\" type=\"xsd:string\"/>"
                + "    </xsd:sequence>"
                + "  </xsd:complexType>"
                + "</xsd:element>"
                + ""
                + "</xsd:schema>", null);

        instance.validate();

        assertTrue(instance.isValidationCorrect());
    }
}
