package cz.muni.fi.exercise;

import java.util.Date;

/**
 * Cass that represents protocol on passing the exercise
 *
 * @author Jiří Krejčí
 */
public class UserExerciseProtocol implements java.io.Serializable {

    private int ID;
    private UserExerciseId userExerciseId;
    private String result;
    private String succeeded;
    private Date timestamp;
    private String comment;

    public UserExerciseProtocol() {
    }

    public int getID() {
        return ID;
    }

    public void setID(int ID) {
        this.ID = ID;
    }

    public UserExerciseId getUserExerciseId() {
        return userExerciseId;
    }

    public void setUserExerciseId(UserExerciseId userExerciseId) {
        this.userExerciseId = userExerciseId;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getSucceeded() {
        return succeeded;
    }

    public void setSucceeded(String succeeded) {
        this.succeeded = succeeded;
    }

    public boolean isSuccesulyPassed() {
        return succeeded.equals("yes");
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

}