package cz.muni.fi.wicket;

import org.apache.wicket.markup.html.WebPage;

/**
 * Class that represents abstract basic Page
 * 
 * @author Jiří Krejčí
 */
public abstract class BasePage extends WebPage {

    public BasePage() {
        super();
        
        HeaderPanel hp = new HeaderPanel("header");
        hp.addTitle();
        add(hp);

        MenuPanel mp = new MenuPanel("menuPanel");
        add(mp);

        add(new TeacherPanel("teacherPanel"));
        add(new StudentPanel("studentPanel"));

        SignPanel sp = new SignPanel("signPanel") ;
        add(sp);

        FooterPanel fp = new FooterPanel("footer");
        fp.addFooter();
        add(fp);

    }
}