package cz.muni.fi.wicket;           

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import org.apache.wicket.markup.html.panel.Panel;

/** 
 * Class that represents header Panel
 * 
 * @author Jiří Krejčí
 */

public class HeaderPanel extends Panel {

    private String title = "Podpůrný nástroj pro výuku značkovacích jazyků";
    
    public HeaderPanel(String componentName) {
        super(componentName);
    }    

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void addTitle() {
        addTitle(getTitle());
    }
    public void addTitle(String title) {
        
        setTitle(title);
        add(new BookmarkablePageLink("link", HomePage.class).add(new Label("text", getTitle())));        
        
    }
    

}