package cz.muni.fi.processor;

import junit.framework.TestCase;

/**
 *
 * @author Jiří Krejčí
 */
public class XPathProcessorTest extends TestCase {

    public XPathProcessorTest(String testName) {
        super(testName);
    }

    /**
     * Test of validate method, of class XPathProcessor.
     */
    public void testValidate() {
        System.out.println("* XPathProcessor: testValidate");
        XPathProcessor instance = new XPathProcessor("<?xml version=\"1.0\" encoding=\"UTF-8\"?>"
                + "<root>"
                + "  <title>"
                + "    My First XML Document"
                + "  </title>"
                + "  <para>"
                + "    Hello to the wild and wooly world of electronic"
                + "    document encoding.  "
                + "  </para>"
                + "  <note>"
                + "    (Okay, so maybe it's not that wild,"
                + "    but it can get pretty wooly.)"
                + "  </note>"
                + "<!-- No simple \"Hello World\" here -->"
                + "  <para>"
                + "    This page written by: "
                + "    <ital>(insert your name here)</ital>"
                + "  </para>"
                + "  <para>"
                + "    Copyright 2000 and beyond"
                + "  </para>"
                + "</root>", "/root/title", "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"
                + "<doc>"
                + "   <title>"
                + "    My First XML Document"
                + "  </title>"
                + "</doc>");

        instance.validate();

        assertTrue(instance.isValidationCorrect());
    }
}
