package cz.muni.fi.processor;

import junit.framework.TestCase;

/**
 *
 * @author Jiří Krejčí
 */
public class XQueryProcessorTest extends TestCase {

    public XQueryProcessorTest(String testName) {
        super(testName);
    }

    /**
     * Test of validate method, of class XQueryProcessor.
     */
    public void testValidate() {
        System.out.println("* XQueryProcessor: testValidate");
        XQueryProcessor instance = new XQueryProcessor("<actors>"
                + "    <actor id=\"00000015\">Anderson, Jeff</actor>"
                + "    <actor id=\"00000030\">Bishop, Kevin</actor>"
                + "    <actor id=\"0000000f\">Bonet, Lisa</actor>"
                + "    <actor id=\"00000024\">Bowz, Eddie</actor>"
                + "    <actor id=\"0000002d\">Curry, Tim</actor>"
                + "    <actor id=\"00000033\">Dullea, Keir</actor>"
                + "    <actor id=\"00000042\">Fisher, Carrie</actor>"
                + "    <actor id=\"00000006\">Ford, Harrison</actor>"
                + "    <actor id=\"00000045\">Foster, Jodie</actor>"
                + "</actors>", "<actors>"
                + "{"
                + "//actors/actor[ends-with(., 'Lisa')]"
                + "}"
                + "</actors>", "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"
                + "<actors>"
                + "  <actor id=\"0000000f\">Bonet, Lisa</actor>"
                + "</actors>");
        instance.validate();

        assertTrue(instance.isValidationCorrect());
    }
}
